;**************************************************************************
;*
;* FILE  config.asm
;* Copyright (c) 2006 Daniel Kahlin <daniel@kahlin.net>
;* Written by Daniel Kahlin <daniel@kahlin.net>
;* $Id: config.asm,v 1.4 2007-01-06 10:13:16 tlr Exp $
;*
;* DESCRIPTION
;*   Configuration bytes.
;*
;******

ACTION_GO_MENU		equ	$ff
ACTION_GO_BASIC		equ	$fe
ACTION_NORMAL_LOAD	equ	$fd
ACTION_START_ALT_KERNAL	equ	$fc

HEADER_LEN	equ	e_id-s_id

s_id:	
;identity
	dc.b	"- DTVBOOT / TLR -"
;version
	dc.b	1,0
e_id:
; custom configuration.
; 
CONFIG_LOADDTVMENU	equ	%00000001
CONFIG_PAL		equ	%10000000
config_byte	equ	.-$4000
	IFNCONST HUMMER_NTSC
	dc.b	$ff
	ELSE ; HUMMER_NTSC
	dc.b	$ff & ~CONFIG_PAL
	ENDIF ; HUMMER_NTSC
cfg_default_action	equ	.-$4000
	dc.b	ACTION_GO_MENU
cfg_hard_video	equ	.-$4000
	IFNCONST HUMMER_NTSC
	dc.b	$ff,$ff,$ff,$ff,$ff,$ff
	ELSE ; HUMMER_NTSC
	dc.b	%00000000	; $d040
	dc.b	$1c,$00,$00	; $d041/$d042/$d043
	dc.b	$00		; $d04e
	dc.b	%00000010	; $d04f
	ENDIF ; HUMMER_NTSC
cfg_dtvtrans_port	equ	.-$4000
	IFNCONST HUMMER_NTSC
	dc.b	$ff
	ELSE ; HUMMER_NTSC
	dc.b	$fd
	ENDIF ; HUMMER_NTSC

; eof
